Subject: Re: [bug#73073] [PATCH v3 1/8] packages: Use origin file names as their input labels.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 12 Dec 2024 12:19:43 +0100

Hi,

Simon Tournier <[email-masked]> skribis:

> On Wed, 04 Dec 2024 at 18:54, Ludovic Courtès <[email-masked]> wrote:
>
>> +    (inputs `(("_"
>> +               ;; Note: The "_" label above is here to avoid a full rebuild.
>> +               ;; TODO: Remove it on next rebuild cycle.
>
> [...]
>
>> +     ;; TODO: Remove input labels on next rebuild cycle.
>> +     `(("ruby" ,ruby-2.7)
>> +       ("ruby-hydra-minimal" ,ruby-hydra-minimal/pinned)
>> +       ;; Build phase requires "docstrip.tex" from TEXLIVE-LATEX.
>> +       ;; However, adding this package to native inputs would initiate
>> +       ;; a circular dependency.  To work around this, use TEXLIVE-LATEX
>> +       ;; source, then add "docstrip.tex" to TEXINPUTS before build.
>> +       ("_" ,(package-source texlive-latex))
>> +       ("texlive-tex" ,texlive-tex)))
>
> Well, I was awaiting a “core-update” cycle to avoid to introduce such
> and fix all at once.  But I have missed the previous (and last?)
> “core-updates” merge.  Arf!

I think it’s okay to have workarounds like the one above as a stopgap.
We’ll improve that eventually, that’s fine.

> That’s said, IIRC, the ’core-packages’ branch is currently built, right?
> Why not remove it on the the top of it?

This is not in the scope of ‘core-packages’.  (It would be a good fit
for a texlive team branch, I suppose.)

Ludo’.